Imports System.IO
Imports DigitalData.Modules.Logging
Imports EmailProfiler.Common

Public Class ExtractAttachmentsFromEMLFile

    Private ReadOnly _LogConfig As LogConfig

    Sub New()

        Dim oLogPath = Path.Combine(My.Application.Info.DirectoryPath, "Log")
        _LogConfig = New LogConfig(LogConfig.PathType.CustomPath, oLogPath, Nothing, "Digital Data", "DD EmailProfiler TEST", 30)

    End Sub

    Public Sub CallWorkerProcess(pEMLFilename As String, pConfigData As Config)

        Dim oProfileIdForPolling = 1
        Dim oWorker As New clsWorker(_LogConfig,
                                pConfigData.ConnectionString,
                                "",
                                oProfileIdForPolling,
                                pConfigData,
                                pEMLFilename)

        oWorker.Start_WorkingProfiles(True)

    End Sub

End Class
